Subject: bug#76120: [PATCH] Expose the native sharing dialog (macOS)

From: Alvaro Ramirez <[email-masked]>
Date: Mon, 10 Feb 2025 22:08:43 +0000

Stefan Kangas <[email-masked]> writes:

> Alvaro Ramirez <[email-masked]> writes:

>> Certainly! How about the following scope...
>>
>> 1. Add a "Share..." context menu item via context-menu-mode.
>> 2. Make the "Share..." entry configurable (custom set to a
>> function).
>> 3. The default function invokes xdg-open on GNU/Linux and 
>> ns-share
>> on macOS.
>>
>> Sound OK?
>
> Can we make the "Share..." context menu item a submenu of the 
> first one
> on supported systems?

I think so, but to make sure I'm understanding correctly, it would 
look something like either of the following options.

Btw, the other menu items I'm showing seem major-mode-dependent. I 
just happen to include what I have for elisp-mode.

Option 1)

Root >
  ----------
  | Paste
  | Select and Paste >
  | Select >
  ----------
  | Go Back
  | Go Forward
  ----------
  | Go Back
  | Go Forward
  ----------
  | Share...
  ----------

Option 2)

Root >
  ----------
  | Paste
  | Select and Paste >
  | Select >
  ----------
  | Go Back
  | Go Forward
  ----------
  | Go Back
  | Go Forward
  ----------
  | Something new (not sure what to call yet)
  ---------- |
             ----------
             | Share...
             ----------

If we mean 2), what do we call the new top level category? ;)